# Class JsonGenerator

java.lang.Object
org.apache.zookeeper.graph.JsonGenerator

public class JsonGenerator extends Object

## Constructor Summary

Constructors
Constructor
Description
`JsonGenerator(LogIterator iter)`
Assumes entries are sorted by timestamp.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`String`
`toString()`
`com.fasterxml.jackson.databind.JsonNode`
`txnEntry(TransactionEntry e)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JsonGenerator

public JsonGenerator(LogIterator iter)
Assumes entries are sorted by timestamp.

## Method Details

### txnEntry

public com.fasterxml.jackson.databind.JsonNode txnEntry(TransactionEntry e)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`